<?php

	# mark core  v1.0
    # author Drk in
	# date 24.10.19 	

	# core

	require_once ( $_SERVER['DOCUMENT_ROOT']."/_core/system.php" );

	$id =  isset( $_GET['id'] ) ? system::abs($_GET['id']): 0;

	if (cache_pf::ch($id) === false)system::header('/','Ошибка, сайт не найден');

	$act = cache_pf::check($id);

	if ($act['ban'] == 1)system::header('/','Ошибка, сайт заблокирован');

	if ($act['mode'] == 1)system::header('/','Ошибка, сайт на модерации');

	$ou = DB :: $dbh -> querySingle("SELECT count(id) FROM `ou` WHERE pf = ? AND ip = ? AND ua =?", array($id,ip,ua));	

	if (empty($ou)): # false

	DB :: $dbh -> query("INSERT INTO `ou` (pf,ip,ua,time) VALUES (?,?,?,?);",array($id,ip,ua,time()));

	DB :: $dbh -> query("UPDATE platforms SET `ou` = (`ou` + 1),ou_all = (ou_all + 1) WHERE id = ? LIMIT 1;", array($id));		

	cache_pf::save($id);	

	endif;

	system::header("http://{$act['url']}"); 
?>